<% if current_user.role != 1 %>
    <h1> No se tiene permiso para ver esta pagina </h1>
<% else %>
    <p id="notice"><%= notice %></p>

    <h1>Usuarios</h1>

    <table class="table">
      <thead>
      <tr>
        <th>Role</th>
        <th>Email</th>
        <th>Nombre de usuario</th>
        <th colspan="2"></th>
      </tr>
      </thead>

      <tbody>
      <% @users.each do |user| %>
          <tr>
            <td><%= user.role %></td>
            <td><%= user.email %></td>
            <td><%= user.username %></td>
            <td><%= link_to 'Ver usuario', user, class: 'btn btn-default' %></td>
            <!--<% if current_user.role == 1 %> <td><%= link_to 'Editar usuario', edit_user_path(user), class: 'btn btn-primary' %></td> <% end %>-->
             <% if current_user.role == 1 && user.active %> <td><%= link_to 'Anular usuario', 'users/annul/' + user.id.to_s, class: 'btn btn-danger', data: { confirm: 'Esta seguro de que quiere anular esta usuario ?' } %></td> <% end %>
             <% if current_user.role == 1 && !user.active %> <td><%= link_to 'Activar usuario', 'users/activate/' + user.id.to_s, class: 'btn btn-success' %></td> <% end %>
            <!--<td><%= link_to 'Anular usuario', user, method: :delete, data: { confirm: 'Esta seguro de que quiere anular esta usuario ?' } %></td>-->
          </tr>
      <% end %>
      </tbody>
    </table>

    <br>

    <!--<%= link_to 'Nueva usuario', new_user_path %>-->
<% end %>
<%= form_tag(users_path, :method => "get", id: "search-form") do %>
<%= text_field_tag :search, params[:search], placeholder: "Buscar usuario" %>
<%= submit_tag "Buscar" %>
<% end %>

<% if @users.present? %>
<%= render :partial => 'users/search' %>
<% else %>
  <p>No existen usuarios para el criterio de busqueda <%= params[:search] %>.</p>
<% end %>
